Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.tagvalue
Class Parser

    java.lang.Object
      org.biojava.bio.program.tagvalue.Parser

    public class Parser

extends Object

Encapsulate the parsing of lines from a buffered reader into tag-value events.

Scripts will usually construct a parser object, a BufferedReader, a TagValueParser and TagValueListener, and then set up a loop that processes each record in the reader by calling Parser.read() until it returns false.

Since:
  1.2
Author:
  Matthew Pocock

Constructor Summary
`Parser()`

Method Summary
`boolean` | `read(BufferedReader reader, TagValueParser parser, TagValueListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parser

    public Parser()

Method Detail

### read

    public boolean read(BufferedReader reader,
                        TagValueParser parser,
                        TagValueListener listener)
                 throws IOException,
                        ParserException

  Throws:
    `IOException`
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD